<?php
/*-------------------------------------------------------+
| Projects Panel for PHP-Fusion CMS
| Copyright (C) 2011 bartek124
| http://www.bartek124.net
+--------------------------------------------------------+
| Filename: projects.php
| Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."projects_panel/infusion_db.php";
if (file_exists(INFUSIONS."projects_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."projects_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."projects_panel/locale/English.php";
}

if(isset($_GET['project_id']) && !isnum($_GET['project_id'])) { redirect(FUSION_SELF); }

function display_screen($file) {
    $size = @getimagesize(INFUSIONS."projects_panel/screens/".$file);
    
    if ($size[0] > 160 || $size[1] > 120) {
        if ($size[0] <= $size[1]) {
            $img_w = round(($size[0] * 120) / $size[1]);
            $img_h = 120;
        } elseif ($size[0] > $size[1]) {
            $img_w = 160;
            $img_h = round(($size[1] * 160) / $size[0]);
        } else {
            $img_w = 160;
            $img_h = 120;
        }
    } else {
        $img_w = $size[0];
        $img_h = $size[1];
    }
    
    if ($size[0] != $img_w || $size[1] != $img_h) {
        return "<a href='".INFUSIONS."projects_panel/screens/".$file."' class='image_box'><img src='".INFUSIONS."projects_panel/screens/".$file."' width='".$img_w."' height='".$img_h."' style='border:0;' alt='".$file."' /></a>";
    } else {
        return "<img src='".INFUSIONS."projects_panel/screens/".$file."' width='".$img_w."' height='".$img_h."' style='border:0;' alt='".$file."' />";
    }
    return false;
}

if(isset($_GET['project_id'])) {
    
    add_to_head("<script type='text/javascript' src='".INFUSIONS."projects_panel/fancy/jquery.fancy.js'></script>\n"
    ."<link rel='stylesheet' href='".INFUSIONS."projects_panel/fancy/fancy.css' type='text/css' media='screen' />"
    ."<script type='text/javascript'>$(document).ready(function() { $('a.image_box').fancybox({'overlayShow': true })});</script>\n");
    
    $result = dbquery("SELECT * FROM ".DB_PROJECTS." WHERE project_id='".$_GET['project_id']."'");
    if(dbrows($result)) {
        $data = dbarray($result);
        add_to_title(" - ".$locale['pp_s011'].$data['project_name']);
        opentable($locale['pp_s012'].$data['project_name']);
        echo "<table class='tbl-border center' cellspacing='1' cellpadding='0' width='100%'>\n<tr>\n";
        echo "<td class='forum-caption' colspan='4'>".$locale['pp_s013']."</td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl2' width='20%'>".$locale['pp_s014']."</td>\n";
        echo "<td class='tbl1' width='30%'>".$data['project_name']."</td>\n";
        echo "<td class='tbl2' width='20%'>".$locale['pp_s015']."</td>\n";
        echo "<td class='tbl1' width='30%'>".showdate("shortdate", $data['project_datestamp'])."</td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl2' width='20%'>".$locale['pp_s016']."</td>\n";
        echo "<td class='tbl1' width='30%'>".$data['project_version']."</td>\n";
        echo "<td class='tbl2' width='20%'>".$locale['pp_s017']."</td>\n";
        echo "<td class='tbl1' width='30%'>".showdate("shortdate", $data['project_updatestamp'])."</td>\n";
        echo "</tr>\n</table>\n";
    
        echo "<table class='tbl-border center' cellspacing='1' cellpadding='0' width='100%' style='margin-top: 20px;'>\n<tr>\n";
        echo "<td class='forum-caption'>".$locale['pp_s018']."</td>\n";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl' width='100%'>".stripslashes($data['project_description'])."</td>\n";
        echo "</tr>\n</table>\n";
        
        echo "<table class='tbl-border center' cellspacing='1' cellpadding='0' width='100%' style='margin-top: 20px;'>\n<tr>\n";
        echo "<td class='forum-caption' colspan='2'>".$locale['pp_s019']."</td>\n";
        echo "</tr>\n<tr>\n";
        $i = 0;
        do {
            if($i == 0 && !($png = file_exists(INFUSIONS."projects_panel/screens/".$data['project_id']."_".$i.".png") || $jpg = file_exists(INFUSIONS."projects_panel/screens/".$data['project_id']."_".$i.".jpg"))) {
                echo "<td class='tbl' width='100%' align='center' style='padding: 10px 0 10px 0;'>".$locale['pp_s020']."</td>\n";
            } else {
                echo ($i % 2 == 0 ? "</tr>\n<tr>\n" : "");
                echo "<td class='tbl' width='33%' align='center'>".display_screen($data['project_id']."_".$i.".".(isset($jpg) ? "jpg" : "png"))."</td>\n";
                unset($png, $jpg);
                $i++;
            }
        } while($png = file_exists(INFUSIONS."projects_panel/screens/".$data['project_id']."_".$i.".png") || $jpg = file_exists(INFUSIONS."projects_panel/screens/".$data['project_id']."_".$i.".jpg"));
        echo "</tr>\n</table>\n";
        closetable();
    } else {
        redirect(FUSION_SELF);
    }
} else {
    add_to_title(" - ".$locale['pp_s021']);
    $result = dbquery("SELECT project_id, project_name, project_version, project_progress FROM ".DB_PROJECTS." WHERE project_progress!='100' ORDER BY project_updatestamp DESC");
    opentable($locale['pp_s001']);
    if(dbrows($result)) {
        echo "<table class='tbl-border center' width='100%' cellspacing='1' cellpadding='0'>\n";
        echo "<tr>\n";
        echo "<td class='tbl2' width='40%' style='font-weight:bold;'>".$locale['pp_s002']."</td>\n";
        echo "<td class='tbl2' width='60%' colspan='2' style='text-align:center;font-weight:bold;'>".$locale['pp_s003']."</td>\n";
        echo "</tr>\n";
        $i = 0;
        while($data = dbarray($result)) {
            $class = $i % 2 == 0 ? "tbl1" : "tbl2";
            echo "<tr>\n";
            echo "<td class='".$class."' width='40%' style='font-weight:bold;'><a href='".FUSION_SELF."?project_id=".$data['project_id']."' title='".$data['project_name']." ".$data['project_version']."'>".$data['project_name']."</a></td>\n";
            echo "<td class='".$class."' width='1%'>".$data['project_progress']."%</td>\n";
            echo "<td class='".$class."'width='59%'><img src='".get_image("pollbar")."' height='12' width='".$data['project_progress']."%' class='poll' alt='".$locale['pp_s004'].$data['project_progress']."%' /></td>\n";
            echo "</tr>\n";
            $i++;
        }
        echo "</table>\n";
    } else {
        echo "<div style='text-align:center'><br />".$locale['pp_s005']."<br /><br /></div>\n";
    }
    closetable();

    $result = dbquery("SELECT project_id, project_name, project_version, project_progress FROM ".DB_PROJECTS." WHERE project_progress='100' ORDER BY project_updatestamp DESC");
    opentable($locale['pp_s006']);
    if(dbrows($result)) {
        echo "<table class='tbl-border center' width='100%' cellspacing='1' cellpadding='0'>\n";
        echo "<tr>\n";
        echo "<td class='tbl2' width='40%' style='font-weight:bold;'>".$locale['pp_s007']."</td>\n";
        echo "<td class='tbl2' width='60%' colspan='2' style='text-align:center;font-weight:bold;'>".$locale['pp_s008']."</td>\n";
        echo "</tr>\n";
        $i = 0;
        while($data = dbarray($result)) {
            $class = $i % 2 == 0 ? "tbl1" : "tbl2";
            echo "<tr>\n";
            echo "<td class='".$class."' width='40%' style='font-weight:bold;'><a href='".FUSION_SELF."?project_id=".$data['project_id']."' title='".$data['project_name']." ".$data['project_version']."'>".$data['project_name']."</a></td>\n";
            echo "<td class='".$class."' width='1%'>".$data['project_progress']."%</td>\n";
            echo "<td class='".$class."'width='59%'><img src='".get_image("pollbar")."' height='12' width='".$data['project_progress']."%' class='poll' alt='".$locale['pp_s009'].$data['project_progress']."%' /></td>\n";
            echo "</tr>\n";
            $i++;
        }
        echo "</table>\n";
    } else {
        echo "<div style='text-align:center'><br />".$locale['pp_s010']."<br /><br /></div>\n";
    }
    closetable();
}

require_once THEMES."templates/footer.php";
?>